[prev in list] [next in list] [prev in thread] [next in thread] 

List:       mandrake-cooker
Subject:    Re: [Cooker] How to run X on 2 screens simultaneously?
From:       Peter Ruskin <peter_ruskin () lineone ! net>
Date:       2001-09-30 17:10:39
[Download RAW message or body]

On Sunday 30 September 2001 17:56, Peter Ruskin wrote:
> AUDIT: Sun Sep 30 17:45:01 2001: 15790 X: client 1 rejected from local
> host Xlib: connection to ":1.0" refused by server
> Xlib: Client is not authorized to connect to Server
>
> How do I get round this?  I was trying to run Win4Lin in its own screen
> with `fwin &`.  I used to be able to do this.  Even with msec set to
> "Welcome to hackers" it's impossible.
>
> I tried adding this line to /etc/X11/xdm/Xservers:
> 	:0 local /usr/X11R6/bin/X -deferglyphs 16
Oooops :1
>
> and the only effect this had was to stop kdm working.
>
> There's a German game that was introduced some time ago to this mailing
> list - "Moorhuhn".  I can't play that in 8.1 either, for the same reason.
>
> ###########################################
> #!/bin/sh
> if [ "$(ps -aux | gawk '{print $11}' | grep artsd)" = "" ]; then
> 	ARTS=0
> else
> 	ARTS=1
> 	killall artsd
> fi
> CONFIG="-xf86config XF86Config-4-moorhuhn"
> # Check for wineserver socket still existing
> if [ -f $HOME/.wine/wineserver-penguin.ruskin/socket ]; then
> 	rm -f $HOME/.wine/wineserver-penguin.ruskin/socket
> fi
> FAIL=""
> # Standard moorhuhn installation path
> MOORHUHN="/usr/lib/games/MoorhuhnWE/MoorhuhnWinter.exe"
> # Virtual display number
> VD=":4"
> # Search for XServer
> for XSERVER in "$(which Xwrapper 2>/dev/null)" "/usr/X11R6/bin/Xwrapper"
> "/usr/X11R6/bin/X"
> do
> 	[ -x "$XSERVER" ] && break
> done
> # Search for wine
> for WINE in "$(which wine 2>/dev/null)" "/usr/bin/wine"
> "/usr/X11R6/bin/wine" "/usr/local/bin/wine"
> do
> 	[ -x "$WINE" ] && break
> done
> if [ ! -x "$XSERVER" ]
> then
> 	echo "$0: X Server missing or not executable." >&2
> 	FAIL="true"
> fi
> if [ ! -x "$WINE" ]
> then
> 	echo "$0: wine emulator missing or not executable." >&2
> 	FAIL="true"
> fi
> if [ ! -f "$MOORHUHN" ]
> then
> 	echo "$0: $MOORHUHN is not installed." >&2
> 	FAIL="true"
> fi
> [ -n "$FAIL" ] && exit 1
>
> cd $(dirname "$MOORHUHN") || exit 1
> echo "Starting 'xinit $WINE $MOORHUHN -- $XSERVER $CONFIG :4'"
> DISPLAY="$VD" xinit $WINE "$MOORHUHN" -- $XSERVER  $CONFIG "$VD"
> if [ $ARTS == 1 ] ; then
> 	artsd &
> fi
> ###########################################
>
> All offers of help gratefully received.
>
> Regards,
> Peter

-- 
Peter Ruskin, Wrexham, Wales.
Registered Linux User No. 219434 ( see http://counter.li.org/ ).
Mandrake Linux release 8.1 (Vitamin) for i586,  kernel 2.4.8-26mdk.
XFree86 4.1.0, patch level 17mdk.  KDE: 2.2.1.  Qt: 2.3.1.  Uptime: 13:27

[prev in list] [next in list] [prev in thread] [next in thread] 

Configure | About | News | Add a list | Sponsored by KoreLogic